package jp.sourceforge.cfneo.at4ie2.api.browser.impl.ie;

import jp.sourceforge.cfneo.at4ie2.BTRuntimeError;
import jp.sourceforge.cfneo.at4ie2.api.browser.Hidden;

public class BTHidden implements Hidden {

	watij.elements.Hidden hidden;

	BTHidden(watij.elements.Hidden hidden) {
		this.hidden = hidden;
	}

	@Override
	public String getValue() {
		try {
			return this.hidden.value();
		} catch (Exception e) {
			throw new BTRuntimeError(e);
		}
	}
	@Override
	public String getId() {
		try {
			return this.hidden.id();
		} catch (Exception e) {
			throw new BTRuntimeError(e);
		}
	}
	@Override
	public String getName() {
		try {
			return this.hidden.name();
		} catch (Exception e) {
			throw new BTRuntimeError(e);
		}
	}
	@Override
	public boolean exists() {
		try {
			return this.hidden.exists();
		} catch (Exception e) {
			throw new BTRuntimeError(e);
		}
	}

}
